# pion::plugins::AllowNothingService Class Reference

`#include <AllowNothingService.hpp>`

Inherits pion::http::plugin_service.

List of all members.

## Public Member Functions

virtual void | operator() (pion::http::request_ptr &http_request_ptr, pion::tcp::connection_ptr &tcp_conn)

## Detailed Description

This class has a corresponding create function (pion_create_AllowNothingService) and destroy function (pion_destroy_AllowNothingService), as required for use by plugin.

Definition at line 23 of file AllowNothingService.hpp.

## Member Function Documentation

void pion::plugins::AllowNothingService::operator() | ( | pion::http::request_ptr & | http_request_ptr,
|  | pion::tcp::connection_ptr & | tcp_conn |
| ) |  |  | `[virtual]`

attempts to handle a new HTTP request

Parameters:

  | http_request_ptr | the new HTTP request to handle
  | tcp_conn | the TCP connection that has the new request

Implements pion::http::plugin_service.

Definition at line 20 of file AllowNothingService.cpp.

References pion::http::response_writer::create(), and pion::tcp::connection::finish().

The documentation for this class was generated from the following files:

- services/AllowNothingService.hpp
- services/AllowNothingService.cpp